<?php
include("../../mainfile.php");
$myts =& MyTextSanitizer::getInstance(); // MyTextSanitizer object
$lid = intval($HTTP_GET_VARS['lid']);
$xoopsDB->queryF("update ".$xoopsDB->prefix("mylinks_links")." set hits=hits+1 where lid=$lid and status>0");
$result = $xoopsDB->query("select url from ".$xoopsDB->prefix("mylinks_links")." where lid=$lid and status>0");
list($url) = $xoopsDB->fetchRow($result);
echo "<html><head><meta http-equiv=\"Refresh\" content=\"0; URL=".$myts->oopsHtmlSpecialChars($url)."\"></meta></head><body></body></html>";
//Header("Location: $url");
exit();
?>